Legacy check user existence#

Warning

This endpoint is deprecated and will be shut down in the future. Services should migrate to the check user existence endpoints using the system-check-user-existence scope.

The gatekeeper subscope required to access this endpoint (gk_checkuser_systemlookup) is also deprecated and will serve no purpose after the endpoint is shut down.

Access to this API could only be managed through Dataporten Dashboard, which is no longer available. If you need to make changes regarding this API, please contact us at kontakt@sikt.no. We need to know the service ID and client ID of the configuration, and the organizations whose users you wish to check the existence of.

Important notice: There is no guarantee that organizations delete user accounts when they are no longer in use. If you are using this endpoint to check if a user still has an active account at an organization, it is recommended to communicate with the organization.

To use the legacy checkuser API your client needs to get an access token using the client credentials flow. Then, simply send a request to the following endpoint with your access token

https://checkuser.dataporten-api.no/check_single/username@domain

Example request:

GET /check_single/username%40domain HTTP/1.1
Host: checkuser.dataporten-api.no
Authorization: Bearer 0f0935c3-a997-40fb-89c2-f7da126ba5d9

Example response:

{
   "exists": true
}

The "exists" attribute has the value true if the user exists, otherwise false.